# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "bootc-internal-utils"
version = "1.16.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Internal implementation component of bootc; do not use"
readme = false
license = "MIT OR Apache-2.0"
repository = "https://github.com/bootc-dev/bootc"
resolver = "2"

[lib]
name = "bootc_internal_utils"
path = "src/lib.rs"

[dependencies.anstream]
version = "1.0"

[dependencies.anyhow]
version = "1.0.82"

[dependencies.cap-std-ext]
version = "5.1.2"
features = ["fs_utf8"]

[dependencies.chrono]
version = "0.4.38"
features = ["std"]
default-features = false

[dependencies.owo-colors]
version = "4"

[dependencies.rustix]
version = "1"
features = [
    "use-libc",
    "thread",
    "net",
    "fs",
    "system",
    "process",
    "mount",
]

[dependencies.serde]
version = "1.0.199"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.116"

[dependencies.shlex]
version = "2.0"

[dependencies.tempfile]
version = "3.10.1"

[dependencies.tokio]
version = ">= 1.37.0"
features = [
    "process",
    "rt",
    "macros",
]

[dependencies.tracing]
version = "0.1.40"

[dependencies.tracing-journald]
version = "0.3.1"

[dependencies.tracing-subscriber]
version = "0.3.18"
features = ["env-filter"]

[dev-dependencies.similar-asserts]
version = "2.0.0"

[dev-dependencies.static_assertions]
version = "1.1.0"

[lints.clippy]
dbg_macro = "deny"
disallowed_methods = "deny"
needless_borrow = "allow"
needless_borrows_for_generic_args = "allow"
todo = "deny"

[lints.rust]
dead_code = "deny"
missing_debug_implementations = "deny"
missing_docs = "allow"
unsafe_code = "deny"
unused_must_use = "forbid"
